Skip to main content
PUT
/
public
/
v1
/
vendor-credits
/
{record_number}
/
Update VendorCredit record
curl --request PUT \
  --url https://api.dualentry.com/public/v1/vendor-credits/{record_number}/ \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "date": "2023-12-25",
  "vendor_id": 123,
  "company_id": 123,
  "exchange_rate": 123,
  "custom_fields": [
    {}
  ],
  "transaction_date": "2023-12-25",
  "bill_number": 123,
  "direct_expense_number": 123,
  "memo": "",
  "items": [],
  "expenses": [],
  "attachments": [],
  "record_status": "posted"
}
'
import requests

url = "https://api.dualentry.com/public/v1/vendor-credits/{record_number}/"

payload = {
"date": "2023-12-25",
"vendor_id": 123,
"company_id": 123,
"exchange_rate": 123,
"custom_fields": [{}],
"transaction_date": "2023-12-25",
"bill_number": 123,
"direct_expense_number": 123,
"memo": "",
"items": [],
"expenses": [],
"attachments": [],
"record_status": "posted"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
date: '2023-12-25',
vendor_id: 123,
company_id: 123,
exchange_rate: 123,
custom_fields: [{}],
transaction_date: '2023-12-25',
bill_number: 123,
direct_expense_number: 123,
memo: '',
items: [],
expenses: [],
attachments: [],
record_status: 'posted'
})
};

fetch('https://api.dualentry.com/public/v1/vendor-credits/{record_number}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "supply_date": "2023-12-25",
  "tax": {
    "data": {}
  },
  "transaction_ids": [
    123
  ],
  "internal_id": 123,
  "number": 123,
  "date": "2023-12-25",
  "transaction_date": "2023-12-25",
  "company_id": 123,
  "company_name": "<string>",
  "company_currency": "<string>",
  "vendor_id": 123,
  "vendor_name": "<string>",
  "currency_iso_4217_code": "<string>",
  "exchange_rate": "<string>",
  "memo": "<string>",
  "items": [
    {
      "id": 123,
      "position": 123,
      "rate": "<string>",
      "quantity": "<string>",
      "memo": "<string>",
      "net_amount": "<string>",
      "tax_amount": "<string>",
      "gross_amount": "<string>",
      "amount": "<string>",
      "tax": {
        "code": "<string>",
        "rate": "<string>",
        "amount": "<string>",
        "is_taxable": true,
        "tax_exempt_amount": "<string>",
        "vat_rate_id": 123,
        "gst_tax_rate_id": 123,
        "tax_components": [
          {
            "rate": "<string>",
            "amount": "<string>",
            "position": 123,
            "region": "<string>"
          }
        ],
        "amount_with_tax": "<string>",
        "rate_name": "<string>",
        "rate_type": "<string>",
        "tax_treatment": "<string>"
      },
      "item_id": 123,
      "classifications": [],
      "item_type": "<string>",
      "hsn_sac_code": "<string>",
      "item_name": "<string>"
    }
  ],
  "expenses": [
    {
      "id": 123,
      "quantity": "<string>",
      "rate": "<string>",
      "position": 123,
      "expense_description": "<string>",
      "net_amount": "<string>",
      "tax_amount": "<string>",
      "gross_amount": "<string>",
      "amount": "<string>",
      "tax": {
        "code": "<string>",
        "rate": "<string>",
        "amount": "<string>",
        "is_taxable": true,
        "tax_exempt_amount": "<string>",
        "vat_rate_id": 123,
        "gst_tax_rate_id": 123,
        "tax_components": [
          {
            "rate": "<string>",
            "amount": "<string>",
            "position": 123,
            "region": "<string>"
          }
        ],
        "amount_with_tax": "<string>",
        "rate_name": "<string>",
        "rate_type": "<string>",
        "tax_treatment": "<string>"
      },
      "account_number": 123,
      "customer_id": 123,
      "vendor_id": 123,
      "classifications": [],
      "account_name": "<string>",
      "customer_name": "<string>",
      "vendor_name": "<string>"
    }
  ],
  "amount": "<string>",
  "used_amount": "<string>",
  "remaining_amount": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "custom_fields": [],
  "attachments": [],
  "place_of_supply": "<string>",
  "tax_registration_numbers": {
    "company": [
      {
        "type": "<string>",
        "number": "<string>",
        "region": "<string>"
      }
    ],
    "counterparty": [
      {
        "type": "<string>",
        "number": "<string>",
        "region": "<string>"
      }
    ]
  },
  "classifications": [],
  "created_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  },
  "updated_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  },
  "bill_number": 123,
  "direct_expense_number": 123
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

record_number
integer
required

The number attribute of the record.

Body

application/json

Input schema for updating Vendor Credit records.

date
string<date>
required
vendor_id
integer
required
company_id
integer
required
currency_iso_4217_code
enum<string>
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
exchange_rate
required
custom_fields
Custom Fields · object[] | null
transaction_date
string<date> | null
bill_number
integer | null
direct_expense_number
integer | null
memo
string
default:""
items
PublicVendorCreditItemIn · object[]
expenses
PublicVendorCreditExpenseIn · object[]
attachments
AttachmentSchemaOut · object[]
record_status
enum<string>
default:posted
Available options:
draft,
posted,
archived

Response

OK

supply_date
string<date> | null
required
tax
RecordTaxContextOut · object | null
required

Base for record-level tax context; regime discriminates data.

Mirrors TaxResultV2Out (core.taxes.api.taxes)

transaction_ids
integer[]
required
internal_id
integer
required
number
integer
required
date
string<date>
required

Posting date (GL date) - the date when the transaction is recorded in the general ledger

transaction_date
string<date>
required

Transaction date (inception date) - the date when the transaction actually occurred

company_id
integer
required
company_name
string
required
company_currency
string
required
vendor_id
integer
required
vendor_name
string
required
currency_iso_4217_code
string | null
required
exchange_rate
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,16}0*$
memo
string
required
items
PublicVendorCreditItemOut · object[]
required
expenses
PublicVendorCreditExpenseOut · object[]
required
amount
string
required

Total transaction amount

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
used_amount
string
required

Amount that was already applied to Bills through Vendor Refunds or Vendor Prepayment Applications

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
remaining_amount
string
required

Amount that can be applied to Bills through Vendor Refunds or Vendor Prepayment Applications

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
record_status
enum<string>
required
Available options:
draft,
posted,
archived
created_at
string<date-time>
required

Date and time the record was created

updated_at
string<date-time>
required

Date and time the record was last updated

custom_fields
CustomFieldValuePairOutputSchema · object[]
attachments
PublicAttachmentSchemaOut · object[]
place_of_supply
string | null
Maximum string length: 2
tax_registration_numbers
TaxRegistrationNumbersSnapshot · object | null
classifications
PublicRecordClassificationsSchemaOut · object[]
created_by
AuditActorSchemaOut · object | null

Schema for audit actor information.

updated_by
AuditActorSchemaOut · object | null

Schema for audit actor information.

bill_number
integer | null
direct_expense_number
integer | null
Last modified on July 13, 2026